public class AHelloWorldStringy {
    public static void main(String[] args) {
        int a = 2, b = 3;
        String s1 = "s1: a + b = ";
        String s2 = "s2: a + b = ";
        // String s2 = new String("s2: a + b = "); // NOPE
        // Trampa mortal: Concatena enlloc de sumar!
        System.out.println(a + " + " + b + " = " + a + b);
        System.out.println(a + " + " + b + " = " + (a + b));
        // Forzando casting a String
        s1 += "" + a + b;
        System.out.println(s1);
        s2 += a + b;
        System.out.println(s2);
    }
}
/*
https://stackoverflow.com/questions/334518/java-strings-string-s-new-stringsilly
String is a special built-in class of the language. It is for the String class
only in which you should avoid saying
	String s = new String("Polish");
Because the literal "Polish" is already of type String, and you're creating an
extra unnecessary object. For any other class, saying
	CaseInsensitiveString cis = new CaseInsensitiveString("Polish");
is the correct (and only, in this case) thing to do.
*/